#include <stdio.h>
#include <stdlib.h>

typedef struct cvor {
  char cifra;
  struct cvor *sledeci;
} Cvor;

void unos(Cvor *&pocetak) {
  char a;
  scanf("%c", &a);

  while (a != '\0') {
    Cvor *novi = (Cvor *)malloc(sizeof(Cvor));
    novi->cifra = a;
    novi->sledeci = pocetak;
    pocetak = novi;
    scanf("%c", &a);
  }

  return;
}

int main(int argc, char const *argv[]) {
  Cvor *pocetak = NULL;
  unos(pocetak);

  int novcanice = 0;

  Cvor *trenutni = pocetak;

  while (trenutni != NULL) {
    int cifra = trenutni->cifra - '0';
    novcanice += cifra / 5;
    cifra %= 5;

    novcanice += cifra / 2;
    cifra %= 2;
    novcanice += cifra;
    trenutni = trenutni->sledeci;
  }

  printf("%d", novcanice);

  return 0;
}